import CookieUtil from '@src/utils/CookieUtil';
import { ACCESS_TOKEN } from './Cookie';

class AuccessToken {
  _accessToken;

  constructor(accessToken: string) {
    this._accessToken = accessToken;
  }

  getAccessToken() {
    return this._accessToken;
  }

  setAccessToken(accessToken: string) {
    this._accessToken = accessToken;
  }
}

export default new AuccessToken(CookieUtil.getCookie(ACCESS_TOKEN) || '');
